/**
 * Get the soundex key from a given value.
 *
 * @param {string} value
 *   Value to use.
 * @param {number} [maxLength=4]
 *   Create a code that is at most `maxLength` in size.
 *   The minimum is always 4 (padded on the right).
 * @returns {string}
 *   Soundex key for `value`.
 */
export function soundex(value: string, maxLength?: number | undefined): string
